
/* Copied from Flatly theme */
@gray-base:              #000;
@gray-darker:            lighten(@gray-base, 13.5%); // #222
@gray-dark:              #7b8a8b;   // #333
@gray:                   #95a5a6; // #555
@gray-light:             #b4bcc2;   // #999
@gray-lighter:           #ecf0f1; // #eee

@brand-primary:         #2C3E50;
@brand-success:         #18BC9C;
@brand-info:            #3498DB;
@brand-warning:         #F39C12;
@brand-danger:          #E74C3C;


.container {
    color: #555;
}

/* AngularUI Bootstrap */

.nav, .pagination, .carousel, .panel-title a { cursor: pointer; }

/**/

hr.small {
    height: 0;
    -webkit-box-sizing: content-box;
         -moz-box-sizing: content-box;
                    box-sizing: content-box;
    margin-top: 2px;
    margin-bottom: 2px;
    border: 0;
    border-top: 1px solid #dedede;
}


/* Widgets */

@analysis-container-min-height: 80px;

.container-btn-round {
    width: @analysis-container-min-height - 15px;
    height: @analysis-container-min-height - 15px;
    border-radius: 50% 50%;
    margin-top: 7px;
    margin-left: 8px;
    text-align: center;
    color: white;
    padding-top: 22px;
}

.analysis-list {


}

.analysis-info {

    padding-bottom: 20px;

    .container-btn-round-info {
        .container-btn-round();
        background-color: lighten(@brand-primary, 10%);
        font-size: 16px;

        &:hover {
            background-color: lighten(@brand-primary, 15%);
            cursor: pointer;
        }
    }

    .container-btn-round-state {
        .container-btn-round();
        background-color: white;
        padding-top: 10px;
        font-size: 30px;

        &:hover {
            background-color: lighten(@gray-light, 15%);
        }
    }

    .state-failed {
        color: @brand-danger;
    }

    .state-qcfail {
        color: @brand-warning;
    }

    .state-qcstop {
        color: @brand-danger;
    }

    .state-running {
        color: lighten(@brand-primary, 10%);
    }

    .state-complete {
        color: @brand-success;
    }

    .state-pending {
        color: lighten(@brand-info, 10%);
    }

    .state-dependencies {
        color: @brand-warning;
    }

    .state-invalid {
        color: @brand-danger;
    }

    .container-left {
        min-height: @analysis-container-min-height;
        border-radius: 50% 0 0 50%;
        width: @analysis-container-min-height;
        float: left;
    }
    .container-middle {
        margin-left: @analysis-container-min-height;
        margin-right: @analysis-container-min-height;
        min-height: @analysis-container-min-height;
        padding-top: 19px;
    }
    .container-right {
        min-height: @analysis-container-min-height;
        border-radius: 0 50% 50% 0;
        width: @analysis-container-min-height;
        float: right;
    }
    .container-finished {
        background-color: @gray-lighter;
    }

    .analysis-name {
        margin-top: 4px;
        font-size: 23px;
    }

    .analysis-starttime {
        font-size: 17px;
        padding-top: 12px;
    }

    .analysis-type-name {
        text-align: right;
        font-size: 17px;
        line-height: 30px;
        color: #767676;
    }
}


.analysis-modal {

    &-header {
        background-color: @brand-primary;
        color: white;
    }

    .tab-content {
        height: 500px;
        padding: 10px;
    }

    .process-line {
        height: 45px;
        overflow: none;
    }

    .process-command {
        height: 200px;
        overflow: scroll;
    }

    .log {
        height: 440px;
        overflow: scroll;
    }

    .version-production {
        color: @brand-success;
    }

    .version-nonproduction {
        color: @brand-danger;
        font-weight: bold;
    }

    .qc-success {
        color: @brand-success;
    }

    .qc-fail {
        color: @brand-danger;
        font-weight: bold;
    }

    .qc-value {
        float: right;
        font-weight: bold;
    }
}
